# OpenLayers.Protocol.SQL

Abstract SQL protocol class. Not to be instantiated directly. Use one of the SQL protocol subclasses instead.

#### Inherits from

- OpenLayers.Protocol

Summary

OpenLayers.Protocol.SQL | Abstract SQL protocol class.
Properties |
databaseName | {String}
tableName | Name of the database table into which Features should be saved.
postReadFiltering | {Boolean} Whether the filter (if there’s one) must be applied after the features have been read from the database; for example the BBOX strategy passes the read method a BBOX spatial filter, if postReadFiltering is true every feature read from the database will go through the BBOX spatial filter, which can be costly; defaults to true.
Constructor |
OpenLayers.Protocol.SQL |
Functions |
destroy | Clean up the protocol.
supported | This should be overridden by specific subclasses
evaluateFilter | If postReadFiltering is true evaluate the filter against the feature and return the result of the evaluation, otherwise return true.

### Properties

### databaseName

{String}

### tableName

Name of the database table into which Features should be saved.

### postReadFiltering

{Boolean} Whether the filter (if there’s one) must be applied after the features have been read from the database; for example the BBOX strategy passes the read method a BBOX spatial filter, if postReadFiltering is true every feature read from the database will go through the BBOX spatial filter, which can be costly; defaults to true.

### Constructor

### OpenLayers.Protocol.SQL

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### supported

> supported: function()

This should be overridden by specific subclasses

#### Returns

{Boolean} Whether or not the browser supports the SQL backend

### evaluateFilter

> evaluateFilter: function( | feature,
> | filter | )

If postReadFiltering is true evaluate the filter against the feature and return the result of the evaluation, otherwise return true.

#### Parameters

{OpenLayers.Feature.Vector} The feature. {OpenLayers.Filter} The filter.

#### Returns

{Boolean} true if postReadFiltering if false, the result of the filter evaluation otherwise.

> destroy: function()

Clean up the protocol.

> supported: function()

This should be overridden by specific subclasses

> evaluateFilter: function( | feature,
> | filter | )

If postReadFiltering is true evaluate the filter against the feature and return the result of the evaluation, otherwise return true.
Abstract vector layer protocol class.
Vector features use the OpenLayers.Geometry classes as geometry description.
This class represents an OGC Filter.
Close